Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata
Class PortComponentMetaData

    java.lang.Object
      org.jboss.webservice.metadata.PortComponentMetaData

public class PortComponentMetaData
extends Object

XML Binding and ws4ee meta-data element for `webservices/webservice-description/port-component`

A port component is the equivalent of an ordinary Axis service (and as such it constitutes the building blocks for jaxrpc services).

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static String` | `PARAMETER_WEBSERVICE_ID` The index of the webservice-description in webservices.xml

Constructor Summary
`PortComponentMetaData(WebserviceDescriptionMetaData webserviceDescription)` Construct a new PortComponentMetaData for a given WebserviceDescriptionMetaData

Method Summary
`void` | `addHandler(org.jboss.webservice.metadata.HandlerMetaData handler)`
`String` | `getEjbLink()`
`org.jboss.webservice.metadata.HandlerMetaData[]` | `getHandlers()`
`String` | `getPortComponentName()`
`String` | `getServiceEndpointBean()`
`String` | `getServiceEndpointInterface()`
`URL` | `getServiceEndpointURL()` Get the updated web service URL
`String` | `getServletLink()`
`WebserviceDescriptionMetaData` | `getWebserviceDescription()`
`javax.xml.namespace.QName` | `getWsdlPort()`
`void` | `setEjbLink(String ejbLink)`
`void` | `setPortComponentName(String portComponentName)`
`void` | `setServiceEndpointBean(String serviceEndpointBean)`
`void` | `setServiceEndpointInterface(String serviceEndpointInterface)`
`void` | `setServiceEndpointURL(URL serviceEndpointURL)` Set the updated web service URL A call to `WebserviceDescriptionMetaData.updateServiceAddress(org.jboss.webservice.ServiceDeployer.ServiceLocationResolver)` initializes this value
`void` | `setServletLink(String servletLink)`
`void` | `setWsdlPort(javax.xml.namespace.QName wsdlPort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_WEBSERVICE_ID

    public static final String PARAMETER_WEBSERVICE_ID

  The index of the webservice-description in webservices.xml

  See Also:
    Constant Field Values

Constructor Detail

### PortComponentMetaData

    public PortComponentMetaData(WebserviceDescriptionMetaData webserviceDescription)

  Construct a new PortComponentMetaData for a given WebserviceDescriptionMetaData

Method Detail

### getWebserviceDescription

    public WebserviceDescriptionMetaData getWebserviceDescription()

### getPortComponentName

    public String getPortComponentName()

### setPortComponentName

    public void setPortComponentName(String portComponentName)

### getWsdlPort

    public javax.xml.namespace.QName getWsdlPort()

### setWsdlPort

    public void setWsdlPort(javax.xml.namespace.QName wsdlPort)

### getEjbLink

    public String getEjbLink()

### setEjbLink

    public void setEjbLink(String ejbLink)

### getServletLink

    public String getServletLink()

### setServletLink

    public void setServletLink(String servletLink)

### getServiceEndpointInterface

    public String getServiceEndpointInterface()

### setServiceEndpointInterface

    public void setServiceEndpointInterface(String serviceEndpointInterface)

### getServiceEndpointBean

    public String getServiceEndpointBean()

### setServiceEndpointBean

    public void setServiceEndpointBean(String serviceEndpointBean)

### addHandler

    public void addHandler(org.jboss.webservice.metadata.HandlerMetaData handler)

### getHandlers

    public org.jboss.webservice.metadata.HandlerMetaData[] getHandlers()

### getServiceEndpointURL

    public URL getServiceEndpointURL()

  Get the updated web service URL

### setServiceEndpointURL

    public void setServiceEndpointURL(URL serviceEndpointURL)

  Set the updated web service URL

  A call to `WebserviceDescriptionMetaData.updateServiceAddress(org.jboss.webservice.ServiceDeployer.ServiceLocationResolver)` initializes this value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.